> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Recent Activity

> Last N workspace activity events for the dashboard feed.
Backed by the same activity store as /dashboard/activity.



## OpenAPI

````yaml /openapi.json get /v1/dashboard/recent-activity
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/dashboard/recent-activity:
    get:
      tags:
        - dashboard
      summary: Get Recent Activity
      description: |-
        Last N workspace activity events for the dashboard feed.
        Backed by the same activity store as /dashboard/activity.
      operationId: get_recent_activity_v1_dashboard_recent_activity_get
      parameters:
        - in: query
          name: limit
          required: false
          schema:
            default: 10
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: cursor
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - description: event-type prefix filter
          in: query
          name: type
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: event-type prefix filter
            title: Type
        - in: query
          name: since
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Since
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response Get Recent Activity V1 Dashboard Recent Activity Get
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````